/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on ----
!  AUTHOR(S): KOGA, Junichiro
!  File : MyMessageBox.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */
package ciss.phase_viewer.common;

import java.awt.Container;

import javax.swing.JApplet;
import javax.swing.JOptionPane;

public class MyMessageBox extends JApplet {

    public MyMessageBox() {
    }

    /**
     * JOptionPaneのメソッドを使用して, メッセージを表示する.
     * 
     * @param str
     *            表示したいメッセージ.
     */
    public void setText(String str) {
        Container cont = new Container();
        cont = getContentPane();
        JOptionPane.showInternalMessageDialog(
                ciss.phase_viewer.mainpanel.Desk.getDesktop(), str);
    }

    /**
     * メッセージを, ダイアログか標準出力に表示する.
     * 
     * @param str
     *            表示したいメッセージ.
     * @param stdout
     *            真の場合標準出力に, 偽の場合ダイアログにメッセージを 出力する.
     */
    public void setText(String str, boolean stdout) {
        if (stdout) {
            System.out.println(str);
        } else {
            this.setText(str);
        }
    }
}
